code stringlengths 2 1.05M | repo_name stringlengths 5 110 | path stringlengths 3 922 | language stringclasses 1
value | license stringclasses 15
values | size int64 2 1.05M |
|---|---|---|---|---|---|
#this script is called on release_one_time.sh, modules are stopped
# TAKE CARE: use relative paths. Will only work from ${NIVIS_FIRMWARE}
db_path=${NIVIS_ACTIVITY_FILES}
db_file=${db_path}/Monitor_Host.db3
# The scripts inside must be named exactly updateDB_to_${sql_script_version}.sql
sql_script_path=DbUpdate/
echo... | irares/ISA100.11a-Gateway | AccessNode/config/FW_mesh_HW_any/release_isa/updateDB.sh | Shell | gpl-3.0 | 1,730 |
#!/tools/bin/sh
mkdir -pv /{bin,boot,etc/{opt,sysconfig},home,lib/firmware,mnt,opt}
mkdir -pv /{media/{floppy,cdrom},sbin,srv,var}
install -dv -m 0750 /root
install -dv -m 1777 /tmp /var/tmp
mkdir -pv /usr/{,local/}{bin,include,lib,sbin,src}
mkdir -pv /usr/{,local/}share/{color,dict,doc,info,locale,man}
mkdir -v /usr/... | uraymeiviar/artos | build/crossbuild/chroot-scripts/init-chroot.sh | Shell | gpl-3.0 | 1,741 |
#!/bin/bash
sudo apt install pandoc ttf-ubuntu-font-family
mkdir fake
cd fake
# you can replace $HOME with any dir
sed -i 's@\$TEXLIVEHOME@'"$HOME"'@' ../texlive.profile
wget http://mirror.ctan.org/systems/texlive/tlnet/install-tl-unx.tar.gz
tar zxf install-tl-unx.tar.gz
./install-tl*/install-tl -profile ../texlive.... | bugra9/bugra9.github.io | _travis-ci/pdf/install.sh | Shell | gpl-3.0 | 799 |
rm *.acn
rm *.acr
rm *.alg
find . -name \*.aux -delete
rm *.bbl
find . -name \*.DS_store -delete
rm *.glg
rm *.glo
rm *.gls
rm *.glsdefs
rm *.idx
rm *.ilg
rm *.ind
rm *.ist
rm *.log
rm *.out
rm *.ptc
rm *.run.xml
find . -name \*.swp -delete
rm *.toc
rm log.md
rm oq-manual-blx.bib
| gem/oq-engine | doc/manual/clean.sh | Shell | agpl-3.0 | 281 |
#! /bin/sh
./checker.sh "CAnDL test suite" "$TEST_FILES"
| Ced/candl | tests/old/check_suite.sh | Shell | lgpl-3.0 | 59 |
#!/bin/sh
# do we have enough arguments?
if [ $# < 3 ]; then
echo "Usage:"
echo
echo "./release.sh <release version> <development version>"
exit 1
fi
# pick arguments
release=$1
devel=$2
# get current branch
branch=$(git status -bs | awk '{ print $2 }' | awk -F'.' '{ print $1 }' | head -n 1)
# manua... | massie/adam | scripts/release/release.sh | Shell | apache-2.0 | 3,246 |
#!/bin/sh
set -xe
./dci/worker/worker.py &
| enovance/dci-control-server | scripts/start_worker.sh | Shell | apache-2.0 | 44 |
#!/usr/bin/env bash
################################################################################
# Licensed to the Apache Software Foundation (ASF) under one
# or more contributor license agreements. See the NOTICE file
# distributed with this work for additional information
# regarding copyright ownership. T... | rmetzger/flink | flink-python/dev/integration_test.sh | Shell | apache-2.0 | 1,665 |
#!/bin/bash
# Copyright (c) 2014 The Native Client Authors. All rights reserved.
# Use of this source code is governed by a BSD-style license that can be
# found in the LICENSE file.
# TODO(mtomasz): Remove this package, once a new upstream release of libarchive
# is available.
AutogenStep() {
ChangeDir ${SRC_DIR}
... | GoogleChromeLabs/chromeos_smart_card_connector | third_party/webports/src/src/ports/libarchive-dev/build.sh | Shell | apache-2.0 | 1,504 |
#!/bin/bash
#Get swarm master IP address
source .chimera_env
mstr_ip=$(docker-machine ip $SWARM_MASTER)
sed -i s/SWARM_MASTER_IP_ADDRES/$mstr_ip/g apps/app1/docker-compose.yml
sudo echo -e "\n $mstr_ip wordpress.wordpress.mysite.com" >> /etc/hosts
eval $(docker-machine env --swarm $SWARM_MASTER)
cd apps/app1 && doc... | CenturyLinkLabs/chimera | example/create_haproxy_test.sh | Shell | apache-2.0 | 1,060 |
#!/bin/bash
# Copyright 2019 The TensorFlow Authors. All Rights Reserved.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless require... | adit-chandra/tensorflow | tensorflow/tools/ci_build/release/ubuntu_16/gpu_py2_full/pip.sh | Shell | apache-2.0 | 2,918 |
#!/usr/bin/env bash
# Licensed to the Apache Software Foundation (ASF) under one
# or more contributor license agreements. See the NOTICE file
# distributed with this work for additional information
# regarding copyright ownership. The ASF licenses this file
# to you under the Apache License, Version 2.0 (the
# "Lic... | tornadomeet/mxnet | tests/ci_build/install/ubuntu_install_python.sh | Shell | apache-2.0 | 1,254 |
#!/usr/bin/env bash
function async_run() {
{
eval "$@" &> /dev/null
}&
}
function git_prompt_dir() {
# assume the gitstatus.sh is in the same directory as this script
# code thanks to http://stackoverflow.com/questions/59895
if [ -z "$__GIT_PROMPT_DIR" ]; then
local SOURCE="${BASH_SOURCE[0]}"
wh... | jfojtl/bash-git-prompt | gitprompt.sh | Shell | bsd-2-clause | 16,852 |
#!/bin/bash
unset CDPATH
cd "$( dirname "${BASH_SOURCE[0]}" )"
BB_LOG_TIME='date-mock'
BB_LOG_FORMAT='${PREFIX} ${TIME} [${LEVEL}] ${MESSAGE}'
source ../../bashbooster.sh
date-mock() {
echo '2014-07-02 13:26:41+07:00'
}
BB_LOG_LEVEL=$BB_LOG_DEBUG
bb-log-debug "Debug message"
bb-log-info "Info message"
bb-log-wa... | polydawn-ports/bash-booster | unit tests/log-time/test.sh | Shell | bsd-2-clause | 400 |
#!/bin/sh
cd ../../lib
ln -fs libefsw.so.$1.$2.$3 libefsw.so.$1
ln -fs libefsw.so.$1 libefsw.so
if [ "$4" == "strip-symbols" ]; then
objcopy --only-keep-debug libefsw.so.$1.$2.$3 libefsw.debug
objcopy --strip-debug libefsw.so.$1.$2.$3
fi
| septag/termite | deps/efsw/project/build.reldbginfo.sh | Shell | bsd-2-clause | 241 |
#!/bin/sh
# source the common platform independent functionality and option parsing
script_location=$(dirname $(readlink --canonicalize $0))
. ${script_location}/common_setup.sh
# configuring apt for non-interactive environment
echo -n "configure package manager for non-interactive usage... "
export DEBIAN_FRONTEND=n... | btovar/cvmfs | test/cloud_testing/platforms/ubuntu_x86_64_setup.sh | Shell | bsd-3-clause | 1,536 |
#!/usr/bin/env bash
# in case we're run from out of git repo
DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
"$DIR"/keep_alive.sh & export PID_KEEP_ALIVE=$!
| bmsherman/topology | etc/ci/travis_keep_alive.sh | Shell | mit | 167 |
#! /bin/bash
make clean-objects
make -j3 Bootloader=1 SimpleCircuit=1 Platform=blueDev
make clean-objects
make -j3 Bootloader=1 Platform=blueDev
make clean-objects
make -j3 SimpleCircuit=1 Platform=blueDev
make clean-objects
make -j3 Platform=blueDev
make clean-objects
rm *.elf
rm *.map
| j1rie/IRMP_STM32 | STM32F401xE/make_all.sh | Shell | gpl-2.0 | 288 |
#!/bin/bash
function run { sdk=$1; arch=$2; shift 2; xcrun --sdk "${sdk}" g++ -arch "${arch}" "$@" -o a \
-isysroot "$(xcodebuild -sdk "${sdk}" -version Path)" \
-x c <(echo "void CYListenServer(short port); int main() { CYListenServer(6667); return 0; }") \
-framework Foundation -framework JavaScriptCore -... | Ju2ender/cycript | section.sh | Shell | gpl-3.0 | 900 |
#!/bin/sh
. "${TEST_SCRIPTS_DIR}/unit.sh"
define_test "empty config, reconfigure, NOOP"
setup
create_policy_routing_config 0
ok "Reconfiguring service \"${service_name}\"..."
simple_test_event "reconfigure"
check_routes 0
| sathieu/samba | ctdb/tests/eventscripts/13.per_ip_routing.016.sh | Shell | gpl-3.0 | 228 |
#!/bin/bash -e
# The Gettext package contains utilities for internationzlization and
# localization. These allow programs to be compiled with NLS (Native
# Language Support), enabling them to output messages in the user's
# native language.
. ../lfs.comm
build_src() {
version=0.19.8.1
srcfil=gettext-$version... | fangxinmiao/projects | Architeture/OS/Linux/Distributions/LFS/build-scripts/lfs-latest/1-build-tmp-system/20-gettext.sh | Shell | gpl-3.0 | 690 |
#!/bin/bash
# this script relies on having a template copy of the full production
# database available first -- use the dump_restore.sh script
COURSE_SHORT_NAME="TAM 212"
COURSE_INSTANCE_SHORT_NAME="Sp18"
OUTPUT_NAME="tam212sp18"
OUTPUT_DUMP="${OUTPUT_NAME}.dump"
OUTPUT_JSON_DIR="${OUTPUT_NAME}.tables"
echo "Dumpin... | PrairieLearn/PrairieLearn | tools/dump_filter.sh | Shell | agpl-3.0 | 7,793 |
# -------------------------------------------------------------------------------------------------
# Copyright (c) 2015 zsh-syntax-highlighting contributors
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without modification, are permitted
# provided that the following conditions... | codeprimate/arid | zsh/zsh-syntax-highlighting/highlighters/main/test-data/alias.zsh | Shell | bsd-2-clause | 2,813 |
#!/bin/sh
echo "#!/bin/sh
cd MPlayer-1.0rc3/
make -j \$NUM_CPU_JOBS 2>&1" > time-compile-mplayer
chmod +x time-compile-mplayer
| mugglmenzel/BalloonRace | src/main/resources/test-profiles/pts/build-mplayer-1.3.0/install.sh | Shell | bsd-3-clause | 130 |
rm app/data/test.db
app/yiic migrate --connectionID=dbTest --interactive=0 > /dev/null
vendor/bin/codecept run unit
rm app/data/test.db
app/yiic migrate --connectionID=dbTest --interactive=0 > /dev/null
vendor/bin/codecept run functional
rm app/data/test.db
app/yiic migrate --connectionID=dbTest --interactive=0 > /de... | motin/giic-gtc-hybrid-template-demo | test.sh | Shell | bsd-3-clause | 361 |
POMICONS_GLYPHS_LOADED=1
POMICONS_GLYPHS_VERSION='1.0.0'
CODEPOINT_OF_POMICONS_CLEAN_CODE='e000'
CODEPOINT_OF_POMICONS_POMODORO_DONE='e001'
CODEPOINT_OF_POMICONS_POMODORO_ESTIMATED='e002'
CODEPOINT_OF_POMICONS_POMODORO_TICKING='e003'
CODEPOINT_OF_POMICONS_POMODORO_SQUASHED='e004'
CODEPOINT_OF_POMICONS_LONG_PAUSE='e005'... | gabrielelana/awesome-terminal-fonts | fonts/pomicons-regular.sh | Shell | mit | 401 |
#!/bin/bash
source environ.sh
BROKEN
SRC=ftp://ftp.freedesktop.org/pub/mesa/11.0.4/mesa-11.0.4.tar.xz
DIR=mesa-11.0.4
CONFIGURE_ARGS="--host=i386-elf-redox --prefix=$PREFIX --enable-osmesa --disable-driglx-direct --disable-dri --with-gallium-drivers=swrast"
autoconf_template $*
| stryan/redox | libc/ports/mesa.sh | Shell | mit | 282 |
#!/bin/sh
cp -r src/files/* dest/files/
cp -r extra dest/
cp src/.htaccess dest/
| snscltt/cosmofox.net | scripts/insert-files.sh | Shell | cc0-1.0 | 82 |
#!/bin/bash -e
# Stable versions contains only 3 groups of digits separated by a dot,
# i.e. no "dev", "alpha", "beta, "rc", ... keyword.
STABLE_REGEX="^[0-9]+\.[0-9]+\.[0-9]+$"
# Validate composer config
# Cannot use `--strict` mode due to following warning: "Defining autoload.psr-4 with an empty namespace prefix is... | orthagh/glpi | .github/actions/init_build.sh | Shell | gpl-2.0 | 731 |
java -cp JPCApplication.jar:Tools.jar tools.Tools
make application
java -cp JPCApplication.jar:Tools.jar tools.Tools -decoder > src/org/jpc/emulator/execution/decoder/ExecutableTables.java
make application | ianopolous/JPC | regenerate_decoder.sh | Shell | gpl-2.0 | 205 |
#!/bin/sh
#
# Set ip and subnet for shorewall
#
/usr/bin/perl /opt/sark/scripts/setip.pl
#
# Run the generator
#
echo Running the Generator
/bin/sh /opt/sark/scripts/srkgenAst
echo Done
| aelintra/sail | sail-4.1.0/opt/sark/scripts/setip.sh | Shell | gpl-2.0 | 187 |
#! /bin/sh -e
# tup - A file-based build system
#
# Copyright (C) 2009-2015 Mike Shal <marfey@gmail.com>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2 as
# published by the Free Software Foundation.
#
# This program is distribu... | p2rkw/tup | test/t2026-empty-input-var.sh | Shell | gpl-2.0 | 1,305 |
#!/bin/bash
# This script should be run whenever new packages are installed to ensure things are
# set for future runs, and of course to setup a new virtualenv
pushd $(dirname $0)
HOMEDIR=$(pwd)
LOG_DIR="$HOMEDIR/log"
if [ $1 ]; then
REQ="$HOMEDIR/$1"
echo "Using pip requirements file $1"
else
REQ="$HOMEDIR... | mikemccann/stoqs | setup.sh | Shell | gpl-3.0 | 3,855 |
#!/bin/bash
#set -x
source $LIBMESH_DIR/examples/run_common.sh
example_name=fem_system_ex5
example_dir=examples/fem_system/$example_name
common_options="write_interval=1 solver_quiet=false relative_step_tolerance=1e-3 relative_residual_tolerance=1.e-3"
# Note: Too much ILU fails badly on this problem in single pr... | dschwen/libmesh | examples/fem_system/fem_system_ex5/run.sh | Shell | lgpl-2.1 | 1,291 |
#!/bin/bash
# get directory of script
DIR="$( cd "$( dirname "$0" )" && pwd )"
# assuming a local guacmole version is located properly
LOCAL_GUACAMOLE="$DIR/../../../guacamole"
LOCAL_AVANGO="$DIR/../../../avango"
# if not, this path will be used
GUACAMOLE=/opt/guacamole/master
AVANGO=/opt/avango/master
# third part... | yaroslav-tarasov/avango | examples/shadows/start.sh | Shell | lgpl-3.0 | 1,188 |
#!/bin/bash
# Building gatekeeper components
bash gtk*.sh
bash son-sec-gw.sh | dang03/son-gkeeper | tests/integration/build/build-all.sh | Shell | apache-2.0 | 76 |
# chmod 0600 /opt/couchdb-search/etc/jmxremote.password
exec -c "java -server \
-Xmx2G \
-Dsun.net.inetaddr.ttl=30 \
-Dsun.net.inetaddr.negative.ttl=30 \
-Dlog4j.configuration=file:/opt/couchdb-search/etc/log4j.properties \
-XX:OnOutOfMemoryError="kill -9 %p" \
-XX:+UseConcMarkSweepGC \
-XX... | apache/couchdb-docker | 3.2.0-ubi-clouseau/resources/clouseau/clouseau.sh | Shell | apache-2.0 | 469 |
#!/bin/sh
#
# Copyright (c) 1980, 1993
# The Regents of the University of California. All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
# 1. Redistributions of source code must retain the above cop... | jhbsz/OSI-OS | usr.bin/vgrind/vgrind.sh | Shell | bsd-3-clause | 3,321 |
#!/bin/sh
if [ ! -f arch ]; then
echo '#include <stdio.h>
int main(){printf("%d", sizeof(long));return 0;}' | cc -x c -
SIZEOF_LONG=$(./a.out)
rm -f a.out
case $SIZEOF_LONG in
8)
echo 'int main() {
#ifdef __x86_64__
return 0;
#endif
return 1;}' | cc -x c -
./a.out
x86_64=$?
rm -... | Gangbiao/cvmfs | externals/sha3/src/makeHook.sh | Shell | bsd-3-clause | 755 |
#!/bin/bash
set -e # abort on error
if [[ `pwd` == */test/cfg ]] ; then # we are in test/cfg
CPPCHECK="../../cppcheck"
DIR=""
else # assume we are in repo root
CPPCHECK="./cppcheck"
DIR=./test/cfg/
fi
# posix.c
gcc -fsyntax-only ${DIR}posix.c
${CPPCHECK} --check-library --library=posix --enable=information --enab... | jctampere/cppcheck | test/cfg/runtests.sh | Shell | gpl-3.0 | 985 |
cite about-plugin
about-plugin 'manage your jekyll site'
editpost() {
about 'edit a post'
param '1: site directory'
group 'jekyll'
unset SITE
if [ -z "$1" ]
then
echo "Error: no site specified."
echo "The site is the name of the directory your project is in."
return 1
fi
for site in ${SIT... | prajnak/bash_it | plugins/available/jekyll.plugin.bash | Shell | mit | 6,984 |
#!/bin/bash
# Config
DirectorY="$1"
OutDir="$2"
FileName="$3"
BuiltDLP="$4"
MD5Sum="$5"
BackupDLP="http://wz2100.net/~dak180/BuildTools/Mac/"
# Make sure we are in the right place
cd "${SRCROOT}"
if [ ! -d "external" ]; then
mkdir external
fi
if [ ! -d "prebuilt" ]; then
mkdir prebuilt
fi
# Checks
if [ "${ACTION}... | omgbebebe/warzone2100 | macosx/configs/FetchPrebuilt.sh | Shell | gpl-2.0 | 2,537 |
MAKE=make
unm=$(uname -n);
if [ $unm = "ol-collab1" ];
then
MAKE=gmake
fi;
if [ $# -le 1 ]; # pass any param to avoid compilation
then
LATENCY=1 INIT=one GRANULARITY=GLOBAL_LOCK $MAKE -k tas
LATENCY=1 INIT=one $MAKE -k tas
LATENCY=1 INIT=one $MAKE -k lockfree
fi
inits="256 1024 2048 8192 65536"
dur... | egeyar/ASCYLIB | scripts/heatmap_lat_all.sh | Shell | gpl-2.0 | 4,357 |
#!/bin/sh
set -e
GREETING=${GREETING:-Goodbye}
echo "$GREETING World! from $0"
| kaday/cylc | examples/tutorial/oneoff/external/bin/hello.sh | Shell | gpl-3.0 | 81 |
#!/bin/bash
# Copyright (c) 2016 PaddlePaddle Authors. All Rights Reserved
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless requir... | emailweixu/Paddle | demo/image_classification/data/download_cifar.sh | Shell | apache-2.0 | 865 |
#!/bin/sh
#check JAVA_HOME & java
noJavaHome=false
if [ -z "$JAVA_HOME" ] ; then
noJavaHome=true
fi
if [ ! -e "$JAVA_HOME/bin/java" ] ; then
noJavaHome=true
fi
if $noJavaHome ; then
echo
echo "Error: JAVA_HOME environment variable is not set."
echo
exit 1
fi
#===================================... | wenerme/Mycat-Server | src/main/assembly/bin/rehash.sh | Shell | apache-2.0 | 2,947 |
#!/usr/bin/env bash
# Copyright 2017 gRPC authors.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or ... | daniel-j-born/grpc | tools/internal_ci/linux/grpc_coverage.sh | Shell | apache-2.0 | 954 |
#!/bin/bash
. ../setup_bash
dc_shell-xg-t -f step1.tcl
| anderson1008/NOCulator | hring/hw/synthesis/scripts/calf_energy/step1.sh | Shell | mit | 57 |
#!/bin/bash
telnet nyancat.dakko.us
| ultranaut/illacceptanything | code/nyan.sh | Shell | mit | 36 |
#!/bin/bash
FN="TxDb.Celegans.UCSC.ce6.ensGene_3.2.2.tar.gz"
URLS=(
"http://bioconductor.org/packages/3.6/data/annotation/src/contrib/TxDb.Celegans.UCSC.ce6.ensGene_3.2.2.tar.gz"
"https://depot.galaxyproject.org/software/bioconductor-txdb.celegans.ucsc.ce6.ensgene/bioconductor-txdb.celegans.ucsc.ce6.ensgene_3.2.2_s... | dmaticzka/bioconda-recipes | recipes/bioconductor-txdb.celegans.ucsc.ce6.ensgene/post-link.sh | Shell | mit | 1,317 |
#!/bin/sh
if test "x$srcdir" = x ; then srcdir=`pwd`; fi
. ../test_common.sh
verbose=1
set -e
# Setup
PASS=1
# Define the .cdl files to test
CLASSIC="small ref_tst_nans ref_tst_utf8"
EXTENDED="ref_nc_test_netcdf4 ref_tst_comp ref_tst_opaque_data"
rm -fr ./results_tst_inmemory_nc4
mkdir ./results_tst_inmemory_nc4
... | Unidata/netcdf-c | ncdump/tst_inmemory_nc4.sh | Shell | bsd-3-clause | 1,235 |
#!/bin/bash
cd ../modules/flowable-ui-task
./start.sh
| gro-mar/flowable-engine | scripts/start-ui.sh | Shell | apache-2.0 | 54 |
#!/bin/bash
cd `dirname $0`
cd ..
find . | grep -f scripts/count_lines.include | grep -v -f scripts/count_lines.exclude | xargs cat | wc -l
| jasonkajita/Espruino | scripts/count_lines.sh | Shell | mpl-2.0 | 142 |
#!/bin/bash
# Copyright 2015-01-29 by Tim Eifler
# This file is part of the rsyslog project, released under ASL 2.0
# The configuration test should fail because of the invalid config file.
echo ===============================================================================
echo \[abort-uncleancfg-badcfg_1.sh\]: testin... | RomeroMalaquias/rsyslog | tests/abort-uncleancfg-badcfg-check_1.sh | Shell | gpl-3.0 | 635 |
i# Install Ruby from source in /opt so that users of Vagrant
# can install their own Rubies using packages or however.
# We must install the 1.8.x series since Puppet doesn't support
# Ruby 1.9 yet.
wget http://ftp.ruby-lang.org/pub/ruby/1.8/ruby-1.8.7-p334.tar.gz
tar xvzf ruby-1.8.7-p334.tar.gz
cd ruby-1.8.7-p334
./co... | Gamevy/veewee | templates/ubuntu-10.04.4-server-i386/ruby.sh | Shell | mit | 767 |
#!/bin/sh
# Blackbox test for wbinfo
if [ $# -lt 4 ]; then
cat <<EOF
Usage: test_wbinfo.sh DOMAIN USERNAME PASSWORD TARGET
EOF
exit 1;
fi
DOMAIN=$1
USERNAME=$2
PASSWORD=$3
TARGET=$4
shift 4
failed=0
samba4bindir="$BINDIR"
wbinfo="$VALGRIND $samba4bindir/wbinfo"
. `dirname $0`/../../testprogs/blackbox/subunit.sh
tes... | sYnfo/samba-1 | nsswitch/tests/test_wbinfo.sh | Shell | gpl-3.0 | 8,420 |
#!/bin/sh
cd /usr/share/ppsspp
exec ./PPSSPPSDL $@
| radare/void-packages | srcpkgs/ppsspp/files/ppsspp-sdl.sh | Shell | bsd-2-clause | 51 |
#!sh
iptables --list --table filter
iptables --list --table mangle
iptables --list --table nat
| wangybgit/Chameleon | wifidog-1.2.1/contrib/dump_fw.sh | Shell | apache-2.0 | 96 |
read -r -p "Are you sure you want to remove Oh My Zsh? [y/N] " confirmation
if [ "$confirmation" != y ] && [ "$confirmation" != Y ]; then
echo "Uninstall cancelled"
exit
fi
echo "Removing ~/.oh-my-zsh"
if [ -d ~/.oh-my-zsh ]; then
rm -rf ~/.oh-my-zsh
fi
echo "Looking for original zsh config..."
ZSHRC_ORIG=~/.zs... | mikeatkins/oh-my-zsh | tools/uninstall.sh | Shell | mit | 1,203 |
ffmpeg -loglevel verbose -re -i ~/movie.avi -f flv rtmp://localhost/myapp/mystream
| wangfakang/ReadNginxSrc | third_modules/nginx-rtmp-module/test/ffstream.sh | Shell | bsd-2-clause | 84 |
#!/bin/bash
#
# Copyright © 2012-2013 Sergio Arroutbi Braojos <sarroutbi@gmail.com>
#
# Permission to use, copy, modify, and/or distribute this software
# for any purpose with or without fee is hereby granted, provided that
# the above copyright notice and this permission notice appear in all copies.
#
# THE SOFTWA... | sarroutbi/buscobici | getscripts/probikeshop_get.sh | Shell | isc | 5,070 |
#!/usr/bin/env sh
#
# Parse input using Enju and convert it to PTB-format.
#
# Author: Pontus Stenetorp <pontus stenetorp se>
# Version: 2013-02-27
set -e
SCRIPT_DIR=`dirname "$0"`
TLS_DIR=${SCRIPT_DIR}/../tls
ENJU_DIR=${TLS_DIR}/ext/enju
STEPP_PATH=${ENJU_DIR}/bin/stepp
MEDLINE_MODEL_PATH=${ENJU_DIR}/s... | ninjin/bionlp_st_2013_supporting | src/enju_ptb.sh | Shell | isc | 1,709 |
#!/bin/sh
export MBD_LISTEN="0.0.0.0:8080"
export MBD_MPD_SERVER="localhost:6600"
export MBD_MUSIC_DIRECTORY="/home/mastensg/lib/audio"
./02
| mastensg/52 | 02/run.sh | Shell | isc | 143 |
scriptdir=$(cd "$(dirname $0)"; pwd)
source ${scriptdir}/etcd.conf
# CLOUD SERVICE AND VMS
# ------------------------>
# Create etcd cloud service
azure service create --serviceName $CLOUD_SERVICE --location "$LOCATION"
# Prepare metadata
storagename=${CLOUD_SERVICE}store
storagekey=$(azure storage account keys lis... | xynova/coreos-tls-secured | vagrant-builds/azure/scripts/etcd-peers.sh | Shell | mit | 1,636 |
#!/bin/sh
readonly RESPONSE_FILE=/root/db2response.rsp
get_param() {
local PARAM=`grep "^$1" $RESPONSE_FILE | cut -d* -f1 | cut -d= -f2 | sed -e 's/ //g'`
if [ $PARAM ]; then
echo $PARAM
else
echo $2
fi
}
DB2_FILEPATH=`get_param FILE`
DB2_INST_NAME=`get_param DB2_INST.NAME db2inst1`
DB2_INST_UID=`ge... | miraitechno/docker-db2 | config/init.sh | Shell | mit | 2,986 |
#!/bin/bash
node miubot.js | tee miu-con.log
| yeputons/MiuBot | run.sh | Shell | mit | 45 |
#!/bin/bash
# start monitor an all machines
# -- these monitors will collect data on all machines
# run this script on machine with HiBench installed
# input is which test to run
# this sctipt will del all log files at teh start
# montiroes will continue writing
#!/bin/bash
for i in "$@"
do
case $i in
-t=*|--t... | co-bri/quevedo | v1_scripts/run_HB1.sh | Shell | mit | 1,789 |
#!/bin/bash
set -e
if [ "$1" = 'honcho' ]; then
chown -R nobody:nogroup $DATA_DIR $OUTPUT_DIR $STATICFILES_DIR
if ! test -f $DATA_DIR/default.sqlite; then
gosu nobody python3 manage.py syncdb --noinput
test -z "$DJANGO_ADMIN_USER" && (echo "DJANGO_ADMIN_USER env variable not set, aborting!"; exit 1)
e... | geometalab/geoconverter | docker/entrypoint.sh | Shell | mit | 1,377 |
#!/bin/sh
# CYBERWATCH SAS - 2017
#
# Security fix for RHSA-2013:0807
#
# Security announcement date: 2013-05-09 18:18:55 UTC
# Script generation date: 2017-01-01 21:14:38 UTC
#
# Operating System: Red Hat 5
# Architecture: i386
#
# Vulnerable packages fix on version:
# - hypervkvpd.i686:0-0.7.el5_9.3
# - hyper... | Cyberwatch/cbw-security-fixes | Red_Hat_5/i386/2013/RHSA-2013:0807.sh | Shell | mit | 740 |
#!/bin/bash -xe
cp "$1" _posts/$(date "+%Y-%m-%d-")$(basename "$1")
| sibson/sibson.github.io | publish.sh | Shell | mit | 69 |
#!/bin/sh
# CYBERWATCH SAS - 2017
#
# Security fix for RHSA-2011:0436
#
# Security announcement date: 2011-04-12 18:24:11 UTC
# Script generation date: 2017-01-01 21:13:05 UTC
#
# Operating System: Red Hat 5
# Architecture: i386
#
# Vulnerable packages fix on version:
# - avahi.i386:0.6.16-10.el5_6
# - avahi-co... | Cyberwatch/cbw-security-fixes | Red_Hat_5/i386/2011/RHSA-2011:0436.sh | Shell | mit | 2,134 |
#!/bin/sh
# Copyright (c) 2014-2015 The Bitcoin Core developers
# Distributed under the MIT software license, see the accompanying
# file COPYING or http://www.opensource.org/licenses/mit-license.php.
set -e
ROOTDIR=dist
BUNDLE="${ROOTDIR}/DeepOnion-Qt.app"
CODESIGN=codesign
TEMPDIR=sign.temp
TEMPLIST=${TEMPDIR}/sign... | deeponion/deeponion | contrib/macdeploy/detached-sig-create.sh | Shell | mit | 1,533 |
#!/bin/bash
set -eu
COMMIT=0b77c93c69797fcc6aeb44844a2aa8c6f08f331d
GITHUBUSER=wipu
URL=https://raw.githubusercontent.com/$GITHUBUSER/iwant/$COMMIT
HERE=$(dirname "$0")
cd "$HERE/../../.."
fetch() {
local RELPATH=$1
rm -f "$RELPATH"
local PARENT=$(dirname "$RELPATH")
mkdir -p "$PARENT"
cd "$PAREN... | wipu/iwant | essential/iwant-entry/as-some-developer/with/bash/iwant/iwant.sh | Shell | mit | 677 |
export DYLD_FRAMEWORK_PATH=../_mac
cc -I../_mac/SDL2.framework/Headers -I../_mac/SDL2_ttf.framework/Headers -F../_mac -framework SDL2 -framework SDL2_ttf -o tet tet.c && ./tet
| superjer/tinyc.games | tet/run-mac.sh | Shell | mit | 177 |
#!/bin/bash
#
# Simple Server Manager
#
# Script to load Main config, in line
#
# Parameter: config id
#
#
#
#
#
#
#
| AndyPuettmann/sm_manager | core/config_load.sh | Shell | mit | 119 |
NAME="le-tweeting"
FOLDER="application"
PACKAGE="$NAME.zip"
BUILD="build"
echo "# Building $NAME package"
mkdir $BUILD
mkdir $BUILD/dist
mkdir $BUILD/$FOLDER
echo "# Get source (local)"
cp dist/manifest.xml $BUILD/dist
cp dist/installer.php $BUILD/dist
cp dist/prepend.php $BUILD/dist
cp index.php $BUILD/$FOLDER
cp tw... | ladistribution/le-tweeting | build.sh | Shell | mit | 691 |
#!/bin/bash
if [[ -z "$SYMFONY_SECRET" ]]; then echo "SYMFONY_SECRET is unset" && exit 1; fi
if [[ -z "$MAILER_HOST" ]]; then echo "MAILER_HOST is unset" && exit 1; fi
if [[ -z "$MAILER_USER" ]]; then echo "MAILER_USER is unset" && exit 1; fi
if [[ -z "$MAILER_PASSWORD" ]]; then echo "MAILER_PASSWORD is unset" && e... | CodeLoversAt/docker-search-awesome-hhvm | run.sh | Shell | mit | 2,609 |
#!/bin/bash
ln -sv "$(pwd)/bash_profile" ~/.bash_profile
ln -sv "$(pwd)/bashrc" ~/.bashrc
ln -sv "$(pwd)/zprofile" ~/.zprofile
ln -sv "$(pwd)/zshrc" ~/.zshrc
ln -sv "$(pwd)/tmux.conf" ~/.tmux.conf
ln -sv "$(pwd)/gitconfig" ~/.gitconfig
ln -sv "$(pwd)/gitignore" ~/.gitignore
ln -sv "$(pwd)/ideavimrc" ~/.ideavimrc
... | rynffoll/envy | scripts/dotfiles.sh | Shell | mit | 771 |
#!/bin/bash
KEYWORDS_MANGANESE="Manganese"
KEYWORDS_TECHNETIUM="Technetium"
KEYWORDS_RHENIUM="Rhenium"
KEYWORDS_BOHRIUM="Bohrium"
KEYWORDS_GROUP7_ELEMENTS="$KEYWORDS_MANGANESE|$KEYWORDS_TECHNETIUM|$KEYWORDS_RHENIUM|$KEYWORDS_BOHRIUM"
if [ "$1" == "" ];
then
debug_start "Group 7 elements"
MANGANESE=$(egrep -i "... | MW-autocat-script/MW-autocat-script | catscripts/Science/Chemistry/Elements/Group7.sh | Shell | mit | 700 |
#!/usr/bin/env bash
trap 'dump_ERROR_LOG' ERR
set -o pipefail
msg "INSTALL" "CMAKE"
info "CC: ${CXX} | CXX: ${CXX} | CXXFLAGS: ${CXXFLAGS} | CFLAGS: ${CFLAGS} | LDFLAGS: ${LDFLAGS}"
POOL_DIR=${POOL:?"Need to set POOL to a non-empty path"}
POOL_JOBS_=${POOL_JOBS:?"Need to set POOL to number > 0"}
SRC_BASE=/tmp/src
BU... | gnzlbg/unix_env | pool/install/cmake.sh | Shell | mit | 1,543 |
#!/bin/bash
set -eu
CACHE_DIRECTORY=~/cache
mkdir -p "$CACHE_DIRECTORY";
DOCKER_IMAGES_FILE=$CACHE_DIRECTORY/dockerImages.tar
if [[ -e "$DOCKER_IMAGES_FILE" ]]; then
echo "Restoring docker images from $DOCKER_IMAGES_FILE"
docker load -i "$DOCKER_IMAGES_FILE"
else
echo "Pulling docker images"
dock... | CanTireInnovations/mqtt-lambda | circle/cacheDockerImages.sh | Shell | mit | 526 |
/tools/terrier-4.0/bin/trec_terrier.sh -i -Dcollection.spec=/Volumes/ext/data/clef2015.collection.spec -Dterrier.index.path=/Users/team1/index -Dtermpipelines=Stopwords,PorterStemmer -Dtrec.collection.class=SimpleFileCollection -Dindexer.meta.forward.keys=filename -Dindexer.meta.forward.keylens=512 -Dindexing.simplefil... | lzfelix/inb344 | project/tools/index_terrier.sh | Shell | mit | 442 |
#!/bin/sh
# CYBERWATCH SAS - 2017
#
# Security fix for RHSA-2013:1090
#
# Security announcement date: 2013-07-17 19:24:14 UTC
# Script generation date: 2017-01-01 21:14:48 UTC
#
# Operating System: Red Hat 5
# Architecture: i386
#
# Vulnerable packages fix on version:
# - ruby.i386:1.8.5-31.el5_9
# - ruby-debug... | Cyberwatch/cbw-security-fixes | Red_Hat_5/i386/2013/RHSA-2013:1090.sh | Shell | mit | 1,625 |
# remove fat-client
[[ -d /opt/chef ]] && rm -rf /opt/chef
# drop symlink
[[ -f /opt/local/bin/chef-solo ]] && rm -f /opt/local/bin/chef-solo | tylerflint/caterer | lib/templates/provisioner/chef_solo/uninstall/smartos.sh | Shell | mit | 142 |
#! /bin/sh
#
# This script generates configuration directives for runover.
# The machine script. This can probably be left alone.
echo "machinescript /etc/runover/machine-script.sh"
# If we can detect if we are running under DQS or another batch #
# system, created a "jobname" directive to pass this information to
#... | RPI-HPC/runover | config-script.sh | Shell | mit | 331 |
#!/bin/sh
# CYBERWATCH SAS - 2017
#
# Security fix for DLA-742-1
#
# Security announcement date: 2016-12-13 00:00:00 UTC
# Script generation date: 2017-01-01 21:09:27 UTC
#
# Operating System: Debian 7 (Wheezy)
# Architecture: x86_64
#
# Vulnerable packages fix on version:
# - chrony:1.24-3.1+deb7u4
#
# Last vers... | Cyberwatch/cbw-security-fixes | Debian_7_(Wheezy)/x86_64/2016/DLA-742-1.sh | Shell | mit | 613 |
#!/bin/bash
# {{ ansible_managed }}
MEDIAHOME="{{ media_home }}"
function debug_out {
[ ! -z "$VERBOSE" ] && echo $@
}
while getopts d:hv flag
do
case "${flag}" in
d) MEDIAHOME=${OPTARG};;
h) SHOWHELP=Help;;
v) VERBOSE=Yes
esac
done
if [[ ! -z $SHOWHELP ]];
then
echo $0 [-d D... | aquarion/autopelago | roles/water-gkhs-filebot/templates/sync_or_swim.sh | Shell | mit | 1,577 |
mkdir -p data/biorxiv_altmetric
SUFFIX=`cat data/biorxiv_doi_urls.tsv | cut -f 5 -d /`
for DOI in $SUFFIX
do
curl -o data/biorxiv_altmetric/$DOI.json http://api.altmetric.com/v1/doi/10.1101/$DOI?key=992a953baa805c06d19db4c2b6bb1348
sleep 0.5s
done
| SchlossLab/Schloss_PrePrints_mBio_2017 | code/get_biorxiv_altmetric.sh | Shell | mit | 252 |
for i in /mnt/data3/fan/rpf/April2016_ana/oid_html/fasta_files/metagenomes/*0
#for i in /mnt/data3/fan/rpf/April2016_ana/oid_html/fasta_files/test/*
do cd $i
for j in *.gbk
do hmmsearch /mnt/data3/fan/rpf/April2016_ana/Hmm.ssu.hmm $j > $j.hmmsearch.txt
done
done
| fandemonium/code | seq_util/hmmsearch_command.sh | Shell | mit | 269 |
# java -Djava.ext.dirs=jars clojure.main src/redwine.clj
# java -DDEBUG -cp $PWD -Djava.ext.dirs=jars clojure.main src/redwine/server.clj
JAVA=/System/Library/Frameworks/JavaVM.framework/Versions/1.6/Home/bin/java
EXT="$(find $PWD/jars -mindepth 1 -maxdepth 1 -print0 | tr \\0 \:)"
CP=$EXT$PWD
CMD="$JAVA -cp $CP -DDEBU... | lancecarlson/redwine | run.sh | Shell | mit | 373 |
# This file is used to generate Github releases, please ignore it.
version='v2.4.5'
name='js-stack-boilerplate-no-services-'$version
dir='dist/'$name
rm -rf dist
mkdir dist
mkdir $dir
cp -R public $dir
cp -R src $dir
cp .babelrc $dir
cp .eslintrc.json $dir
cp .flowconfig $dir
cp .gitignore $dir
cp package.json $dir... | sbs863/SBS.com | release.sh | Shell | mit | 421 |
#!/bin/sh
# CYBERWATCH SAS - 2017
#
# Security fix for CESA-2012:0544
#
# Security announcement date: 2012-05-07 22:49:25 UTC
# Script generation date: 2017-01-01 21:10:22 UTC
#
# Operating System: CentOS 6
# Architecture: x86_64
#
# Vulnerable packages fix on version:
# - ImageMagick.i686:6.5.4.7-6.el6_2
# - .... | Cyberwatch/cbw-security-fixes | CentOS_6/x86_64/2012/CESA-2012:0544.sh | Shell | mit | 1,832 |
#!/bin/bash
if [ -n "$1" ]
then
destination="$1"
else
destination="`dirname \"$0\"`/../web_copy"
fi
destination="`realpath \"$destination\"`"
source="`dirname \"$0\"`"
source="`realpath \"$source\"/../web`"
echo "Copying files from \"$source\" to \"$destination\"."
IFS=$'\n'
cd "$source"
mkdir -p "$destination... | cdpoffline/offline-material | bin/create_copy_of_web_folder.sh | Shell | mit | 566 |
psql -U postgres -c 'create database lynx_test;'
psql -U postgres -d lynx_test -f tests/schemas/pqsql/lynx_test.sql
| lynx/lynx | tests/ci/pqsql.sh | Shell | mit | 116 |
#!/bin/sh
set -ev
cd ..
git clone https://github.com/rodjek/rspec-puppet.git
cd rspec-puppet
bundle install
gem build rspec-puppet.gemspec
gem install rspec-puppet-*.gem
cd ..
git clone https://github.com/rodjek/puppet-lint.git
cd puppet-lint
bundle install
gem build puppet-lint.gemspec
gem install puppet-lint-*.gem
... | gsick/puppet-redis | fix_future_test.sh | Shell | mit | 340 |
#!/bin/bash
readonly EXIT_FAILURE=1
function create_soft_links() {
local -r SCRIPT="$(readlink -f "${0}")"
local -r HOME_FILES="$(dirname "${SCRIPT}")/home"
local SRC
local DST
for SRC in "${HOME_FILES}"/{.[!.],}*
do
if [[ "${SRC: -1}" != "*" ]] ; then
DST="${HOME}/$(base... | JNiewiadomski/unix | setup.sh | Shell | mit | 2,092 |
#!/bin/bash
# Argument: the homework number
# Edit these variables with your information
STUDENT_NAME="Student Name"
UTEID="stu1234"
CS_LOGIN="student"
EMAIL="student@utexas.edu"
UNIQUE_NUM="12345"
# Do not edit below this line
HW=$1
if [ $# -lt 1 ]; then
echo 1>&2 "$0: not enough arguments"
exit 2
elif [ $#... | pfista/hwgen | generate_homework.sh | Shell | mit | 570 |
ROOT=~/C/CAA-DEV-APPS-SAMPLE-DATA/S/S4/INVALID_TIMESPAN
cefmdd_v1 -f $ROOT/C2_CQ_STA_CALIBRATION_CAVEATS__20100806_000000_20100806_235959_V170103.cef $1 $2 $3 $4
#cefmdd_v1 -f $ROOT/C4_CP_PEA_MOMENTS_INERT__20010106_000000_20010106_240000_V170103.cef $1 $2 $3 $4
| caa-dev-apps/cefmdd_v1 | tests/2017-00-00__v0.0.0/s40.sh | Shell | mit | 264 |
#!/bin/bash
# require root
if [ "$(id -u)" != "0" ]; then
echo "This script must be run as root" 1>&2
exit 1
fi
# install necessary 3rd party pkg
echo "inv: updating Ubuntu"
apt-get update &>/dev/null
echo "inv: installing pkgs"
echo -e "$pw\n$pw" | apt-get install apache2 libapache2-mod-wsgi python-dev python... | briansan/inv | setup.sh | Shell | mit | 1,235 |
#!/bin/bash
# Install 'nas' script in /usr/local/sbin for use by root/sudo
SCRIPT_FILE="nas"
TARGET_DIR="/usr/local/sbin"
cp -p ${SCRIPT_FILE} ${TARGET_DIR}
chmod a+rx ${TARGET_DIR}/${SCRIPT_FILE}
| maxwax/nas | install.sh | Shell | mit | 200 |
Subsets and Splits
No community queries yet
The top public SQL queries from the community will appear here once available.